package com.zfire.mall.manager.enums;

import cn.hutool.core.util.EnumUtil;
import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonValue;
import lombok.Getter;
import org.apache.commons.lang3.StringUtils;

import java.util.Map;

@Getter
public enum SyncStatusEnum {
    WAIT("WAIT","等待同步"),
    OK("OK","同步成功"),
    FAIL("FAIL","同步失败"),

    ;
    @JsonValue
    @EnumValue
    private String key;
    private String value;

    SyncStatusEnum(String key, String value){
        this.key=key;
        this.value = value;
    }

    public static String getMsg(String examineStatus) {
        if (StringUtils.isNotBlank(examineStatus)) {
            Map<String, Object> enumMap = EnumUtil.getNameFieldMap(SyncStatusEnum.class, "value");
            return enumMap.get(examineStatus).toString();
        }
        return "";
    }
}
